php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Doc Bug #79479 --with-external-pcre option is not documented
Submitted: 2020-04-15 15:05 UTC Modified: 2020-04-16 13:39 UTC
From: warren dot zaccone at ericsson dot com Assigned:
Status: Verified Package: *Configuration Issues
PHP Version: 7.4.4 OS: Solaris 11 Sparc
Private report: No CVE-ID: None
View Add Comment Developer Edit
Welcome! If you don't have a Git account, you can't do anything here.
You can add a comment by following this link or if you reported this bug, you can edit this bug over here.
(description)
Block user comment
Status: Assign to:
Package:
Bug Type:
Summary:
From: warren dot zaccone at ericsson dot com
New email:
PHP Version: OS:

 

 [2020-04-15 15:05 UTC] warren dot zaccone at ericsson dot com
Description:
------------
Upgrading from PHP 7.3 to 7.4.  I have pcre2 10.33 installed in /usr/local.  I previously specified --with-pcre-regex=/usr/local.  Since this option is removed in php 7.4 I changed it to --with-external-pcre=/usr/local and the configure is now failing. 

I receive the following messages  

checking for libpcre2-8 >= 10.30... no
configure: error: Package requirements (libpcre2-8 >= 10.30) were not met:

No package 'libpcre2-8' found




Expected result:
----------------
I have pcre2 installed in /usr/local.   php 7.3. configure used it with --with-pcre-regex=/usr/local  however --with-external-pcre2=/usr/local in php 7.4 does not work.


Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2020-04-15 15:14 UTC] bugreports at gmail dot com
-/ocnigure --hepp don#t state that --with-external-pcre is supĆ¼posed to take an agrument! you are only switching between bundeled or system library and for everything else PKG_CONFIG_PATH is your freind since you are not using a system library

https://www.php.net/manual/en/migration74.other-changes.php#migration74.other-changes.pkg-config
 [2020-04-15 15:46 UTC] cmb@php.net
-Summary: --with-external-pcre option is not working +Summary: --with-external-pcre option is not documented -Status: Open +Status: Verified -Type: Bug +Type: Documentation Problem
 [2020-04-15 15:46 UTC] cmb@php.net
Indeed, it is like @bugreports stated above: --with-external-pcre
is just a switch; the actual path configuration is done via
pkg-config and can be configured by setting PKG_CONFIG_PATH.

Changing to doc bug, because that is not yet documented in the
PCRE installation chapter[1].

[1] <https://www.php.net/manual/en/pcre.installation.php>
 [2020-04-16 13:39 UTC] warren dot zaccone at ericsson dot com
thank you.   I set --with-external-pcre=yes   and added  export PKG_CONFIG_PATH=/usr/local/lib/pkgconfig:$PKG_CONFIG_PATH  to my build script and PHP is built successfully.
 
PHP Copyright © 2001-2020 The PHP Group
All rights reserved.
Last updated: Fri Oct 30 18:01:23 2020 UTC